This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278612 - specialised queue workers ignore configuration and handle all tasks instead
specialised queue workers ignore configuration and handle all tasks instead
Status: CLOSED WORKSFORME
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 20:08 EST by Marco Grigull
Modified: 2015-11-10 23:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 23:04:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Grigull 2015-11-05 20:08:06 EST
Description of problem:
queue-workers appear to be ignoring configuration into dedicated task roles.

Version-Release number of selected component (if applicable):
4.4.10042-7

How reproducible:
assumed 100%

Steps to Reproduce:
1. disable all bugzilla-queue workers
2. enable only a worker that has been configured to handle a dedicated tasks.  e.g. jira
3. observe tasks on all queues decrease

Actual results:
all job types are handled by specialized, dedicated worker

Expected results:
only job types matching configuration are handled by specialized, dedicated workers

Additional info:
Comment 1 Jason McDonald 2015-11-05 20:22:01 EST
There was a recent change on production to dispatch emails directly rather than put them through the job queue.  That change was made to clear a big backlog of email jobs, but is still in place.

If that change is going to become permanent, I would suggest reducing the number of job queue processors (to say 4 or 6 per web server) and removing the queue specialization mechanism, which was originally implemented to stop backlogged rules engine jobs from blocking email jobs (which can't happen if the emails aren't going through the job queue).

I estimate that about 90% of the job queue throughput used to be email jobs. Reducing the number of queues by 1/2 or 2/3 would therefore be quite safe, would reduce the load on the database when the Rules Engine kill switch is set, and would reduce the number of pgpool connections permanently consumed by the job queues.
Comment 2 Marco Grigull 2015-11-05 20:26:49 EST
Unfortunately I have forgotten the specifics; I do recall that other queue types besides mail were being handled when they shouldn't have.
Comment 3 Jeff Fearn 2015-11-05 21:09:42 EST
IIRC The issue was that non-mail queues where actually processing mail jobs.
Comment 4 Marco Grigull 2015-11-05 22:25:30 EST
Given I cannot effectively replicate this issuer at this time, I am happy for this issue to be closed for now.

I can clone it if it pops up again.

Note You need to log in before you can comment on or make changes to this bug.